Fix initscript return codes

Resolves: #242667
This commit is contained in:
Jan Šafránek 2007-06-25 09:18:53 +00:00
parent 5a8e87dd10
commit 233b801a46
2 changed files with 15 additions and 3 deletions

View File

@ -16,7 +16,7 @@
# Source networking configuration and check that networking is up.
if [ -r /etc/sysconfig/network ] ; then
. /etc/sysconfig/network
[ ${NETWORKING} = "no" ] && exit 0
[ ${NETWORKING} = "no" ] && exit 1
fi
# Source an auxiliary options file if we have one, and pick up OPTIONS,
@ -29,8 +29,8 @@ fi
slapd=/usr/sbin/slapd
slurpd=/usr/sbin/slurpd
slaptest=/usr/sbin/slaptest
[ -x ${slapd} ] || exit 0
[ -x ${slurpd} ] || exit 0
[ -x ${slapd} ] || exit 1
[ -x ${slurpd} ] || exit 1
RETVAL=0
@ -213,24 +213,33 @@ case "$1" in
;;
start)
start
RETVAL=$?
;;
stop)
stop
RETVAL=$?
;;
status)
status ${slapd}
RETVAL=$?
if grep -q "^replogfile" /etc/openldap/slapd.conf ; then
status ${slurpd}
RET=$?
if [ $RET -ne 0 ] ; then
RETVAL=$RET;
fi
fi
;;
restart)
stop
start
RETVAL=$?
;;
condrestart)
if [ -f /var/lock/subsys/ldap ] ; then
stop
start
RETVAL=$?
fi
;;
*)

View File

@ -738,6 +738,9 @@ fi
%attr(0644,root,root) %{evolution_connector_libdir}/*.a
%changelog
* Mon Jun 25 2007 Jan Safranek <jsafranek@redhat.com>
- Fix initscript return codes (#242667)
* Tue May 22 2007 Jan Safranek <jsafranek@redhat.com> 2.3.34-3%{?dist}
- do not create script in /tmp on startup (bz#188298)
- add compat-slapcat to openldap-compat (bz#179378)